maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Scholte" <rfscho...@apache.org>
Subject Re: Are we mis-using javac?
Date Tue, 03 Mar 2015 17:58:22 GMT
I still think setting the -source and -target is a good thing, even though  
it is 1.5. IMHO It is better to have an older version here than the latest  
(or none aka auto resolve to latest). This will increase its usability by  
other projects/tools and will make users aware of the consequences if they  
want to use a newer JDK.
In general you should also specify some enforcer-rules or animal-sniffer,  
but do users know that? The source/target can act as the first check.

Toolchain support will improve in Maven Core for the next coming releases.

Biggest concern is indeed detecting if there's a recompile required. The  
analysis looks detailed enough and most of them seem solvable.

thanks,
Robert

ps. I don't mind pushing source+target to 1.6, which seems to be a good  
minimum nowadays.

Op Mon, 02 Mar 2015 10:52:41 +0100 schreef Stephen Connolly  
<stephen.alan.connolly@gmail.com>:

> Spotted via twitter:
>
> http://blog.ltgt.net/most-build-tools-misuse-javac/
>
> Thoughts?

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message